{{#if @tile.isEliminated}}
  <Button
    @intent="primary"
    @disabled={{true}}
    {{animate 'fadeOut'}}
    class="shadow-outline z-50 border p-0"
  >
    <FaIcon
      @fixedWidth={{true}}
      @icon={{@tile.icon}}
      @size={{@tile.size}}
      @rotation={{@tile.rotation}}
      class="text-{{@tile.color}}-200"
    />
  </Button>
{{else if @tile.isSelected}}
  <Button
    {{animate 'flip'}}
    @intent="primary"
    class="shadow-outline z-50 border p-0"
  >
    <FaIcon
      @fixedWidth={{true}}
      @icon={{@tile.icon}}
      @size={{@tile.size}}
      @rotation={{@tile.rotation}}
      class="text-{{@tile.color}}-200"
    />
  </Button>
{{else}}
  <Button
    {{animate 'headShake'}}
    {{on "click" (fn @onSelect @tile)}}
    @appearance="outlined"
    class="shadow bg-{{@tile.bgColor}}-300 p-0"
  >
    <FaIcon
      @fixedWidth={{true}}
      @icon={{@tile.icon}}
      @size={{@tile.size}}
      @rotation={{@tile.rotation}}
      class="text-{{@tile.color}}-700"
    />
  </Button>
{{/if}}
